
:root {
  --primaryColor: #eb4921;
  --mainWhite: #fff;
  --mainBlack: #222;
  --mainGrey: #ececec;
  --mainSpacing: 0.1rem;
  --mainTransition: all 0.3s linear;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  color: var(--mainBlack);
  background: var(--mainWhite);
}

.navbar {
  position: sticky;
  height: 60px;
  width: 100%;
  display: flex;
  align-items: center;
  background: rgb(231, 226, 221);
}

.logo{
  height:40px;
  width:150px;
}
.logopic{
  height:70px;
  width:70px;
}


.navbar-center {
  width: 100%;
  max-width: 1170px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 1.5rem;
}
.nav-icon {
  font-size: 1.5rem;
}
.cart-btn {
  position: relative;
  cursor: pointer;
}
.cart-items {
  position: absolute;
  top: -8px;
  right: -8px;
  background: rgb(158, 79, 26);
  padding: 0 5px;
  border-radius: 30%;
  color: var(--mainWhite);
}
/* --------------- End of Navbar ---------------- */
/* --------------- Hero ---------------- */
.hero {
  min-height: calc(100vh - 60px);
  background: url("./images/12.mp4") center/cover no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
}

.banner-title {
  font-size: 4rem;
  text-transform: uppercase;
}

.banner-title2 {
  font-weight: lighter;
}

.banner-btn {
  
  height: 100px;
  width: 400px;
  padding: 1rem 3rem;
  text-transform: uppercase;
  letter-spacing: var(--mainSpacing);
  font-size: 1rem;
  background: #e94f20;
  color: var(--mainBlack);
  border: 1px solid #e08c1d;
  transition: var(--mainTransition);
  cursor: pointer;
}

.clear-btn {
  height: 70px;
  width: 200px;
  padding: 1rem 3rem;
  text-transform: uppercase;
  letter-spacing: var(--mainSpacing);
  font-size: 0.9rem;
  background: #e94f20;
  color: var(--mainBlack);
  border: 1px solid #e94f20;
  transition: var(--mainTransition);
  cursor: pointer;
}

.checkout-cart {
  height: 70px;
  width: 200px;
  padding: 1rem 3rem;
  text-transform: uppercase;
  letter-spacing: var(--mainSpacing);
  font-size: 0.9rem;
  background: #ec6b20;
  color: var(--mainBlack);
  border: 1px solid #e94f20;
  transition: var(--mainTransition);
  cursor: pointer;
}


.banner-btn:hover {
  background: transparent;
  color: white;
  text-decoration: none;
}

.clear-btn:hover {
  background: transparent;
  border: 1px solid #e94f20;
  color: #e94f20;
  text-decoration: none;
}

.checkout-cart:hover {
  background: transparent;
  border: 1px solid #e94f20;
  color: #e94f20;
  text-decoration: none;
}

.products {
  padding: 4rem 0;
}
.section-title h2 {
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 2rem;
  text-transform: capitalize;
  letter-spacing: var(--mainSpacing);
}
.products-center {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  grid-column-gap: 1.5rem;
  grid-row-gap: 2rem;
}
.img-container {
  position: relative;
  overflow: hidden;
}
.bag-btn {
  color: white;
  position: absolute;
  top: 70%;
  right: 0;
  background: black;
  border: none;
  text-transform: uppercase;
  padding: 0.5rem 0.75rem;
  letter-spacing: var(--mainSpacing);
  font-weight: bold;
  transition: var(--mainTransition);
  transform: translateX(101%);
  cursor: pointer;
}
.bag-btn:hover {
  border-top: 1px solid black;
  border-left: 1px solid black;
  border-bottom: 1px solid black;
  background: white;
  color: black;
}
.fa-shopping-cart {
  margin-right: 0.5rem;
}
.img-container:hover .bag-btn {
  transform: translateX(0);
}
.product-img {
  display: block;
  width: 100%;
  min-height: 12rem;
  transition: var(--mainTransition);
}
.img-container:hover .product-img {
  opacity: 0.5;
}

.product h3 {
  text-transform: capitalize;
  font-size: 1.1rem;
  margin-top: 1rem;
  letter-spacing: var(--mainSpacing);
  text-align: center;
}

.product h4 {
  margin-top: 0.7rem;
  letter-spacing: var(--mainSpacing);
  color: var(--primaryColor);
  text-align: center;
}


.cart-overlay {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  transition: var(--mainTransition);
  background: rgb(60,60,60,0.5);
  z-index: 2;
  visibility: hidden;
}

.cart {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  overflow: scroll;
  z-index: 3;
  background: rgb(212, 212, 212);
  padding: 1.5rem;
  transition: var(--mainTransition);
  transform: translateX(100%);
}

.showCart {
  transform: translateX(0);
}
.transparentBcg {
  visibility: visible;
}

@media screen and (min-width: 768px) {
  .cart {
    width: 30vw;
    min-width: 450px;
  }
}

.close-cart {
  font-size: 1.4rem;
  cursor: pointer;
}
.cart h2 {
  text-transform: capitalize;
  text-align: center;
  letter-spacing: var(--mainSpacing);
  margin-bottom: 2rem;
}
/*  */
.cart-item {
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr auto;
  grid-column-gap: 1.5rem;
  margin: 1.5rem 0;
}
.cart-item img {
  width: 75px;
  height: 75px;
}
.cart-item h4 {
  font-size: 0.85rem;
  text-transform: capitalize;
  letter-spacing: var(--mainSpacing);
}
.cart-item h5 {
  margin: 0.5rem 0;
  letter-spacing: var(--mainSpacing);
}
/*  */
/* .checkout-item {
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr auto;
  grid-column-gap: 1.5rem;
  margin: 1.5rem 0;
}
.checkout-item img {
  width: 75px;
  height: 75px;
}
.checkout-item h4 {
  font-size: 0.85rem;
  text-transform: capitalize;
  letter-spacing: var(--mainSpacing);
}
.checkout-item h5 {
  margin: 0.5rem 0;
  letter-spacing: var(--mainSpacing);
} */
/*  */
.item-amount {
  text-align: center;
}
.remove-item {
  color: grey;
  cursor: pointer;
}
.fa-chevron-up,
.fa-chevron-down {
  color: black;
  cursor: pointer;
}

.cart-footer {
  margin-top: 2rem;
  letter-spacing: var(--mainSpacing);
  text-align: center;
}
.cart-footer h3 {
  text-transform: capitalize;
  margin-bottom: 1rem;
}


footer.main-footer {
  height: 50px;
  width: 100%;
  background: rgb(0, 0, 0);
}
